<?php

namespace Drupal\bibcite_import_orcid\Commands;

use Drush\Commands\DrushCommands;

class OrcidImportCommands extends DrushCommands {

  /**
   * Deletes all references from bibcite
   *
   * @command bibcite_import_orcid:delete_refs
   * @aliases ouda
   * @usage bibcite_import_orcid:delete_refs
   *
   */

  public function deleteRefs() {
    $refs_to_delete = \Drupal::entityQuery('bibcite_reference')
    ->execute();
    echo "Deleting " . count($refs_to_delete) . " References.\n";
    $storage_handler = \Drupal::entityTypeManager()->getStorage("bibcite_reference");
    $entities = $storage_handler->loadMultiple($refs_to_delete);
    $storage_handler->delete($entities);
  }

  /**
   * Deletes all contributors from bibcite
   *
   * @command bibcite_import_orcid:delete_contribs
   * @aliases ouda
   * @usage bibcite_import_orcid:delete_contribs
   *
   */

  public function deleteContribs() {
    $contribs_to_delete = \Drupal::entityQuery('bibcite_contributor')
    ->execute();
    echo "Deleting " . count($contribs_to_delete) . " Contributors.\n";
    $storage_handler = \Drupal::entityTypeManager()->getStorage("bibcite_contributor");
    $entities = $storage_handler->loadMultiple($contribs_to_delete);
    $storage_handler->delete($entities);
  }

  /**
   * Deletes all entities from bibcite
   *
   * @command bibcite_import_orcid:delete_all
   * @aliases ouda
   * @usage bibcite_import_orcid:delete_all
   *
   */

  public function deleteAll() {

    //Delete References
    $this->deleteRefs();

    // Delete Contributors
    $this->deleteContribs();

  }

}
